Bug 643488 - UI: inconsistent lower/upper casing
Summary: UI: inconsistent lower/upper casing
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: luci
Version: 6.1
Hardware: All
OS: Linux
low
low
Target Milestone: rc
: ---
Assignee: Ryan McCabe
QA Contact: Cluster QE
URL:
Whiteboard:
Depends On:
Blocks: 665055
TreeView+ depends on / blocked
 
Reported: 2010-10-15 18:02 UTC by Jan Pokorný [poki]
Modified: 2016-04-26 14:54 UTC (History)
4 users (show)

Fixed In Version: luci-0.23.0-20.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 665055 (view as bug list)
Environment:
Last Closed: 2011-12-06 10:06:53 UTC
Target Upstream Version:


Attachments (Terms of Use)
Proposed patch (5.43 KB, patch)
2010-12-15 17:02 UTC, Jan Pokorný [poki]
no flags Details | Diff


Links
System ID Priority Status Summary Last Updated
Red Hat Bugzilla 643191 None None None Never
Red Hat Product Errata RHBA-2011:1510 normal SHIPPED_LIVE luci bug fix update 2011-12-06 00:39:20 UTC

Internal Links: 643191

Description Jan Pokorný [poki] 2010-10-15 18:02:28 UTC
Description of problem:
So far, the problem was spotted only with "add" dialogs' titles where
the inconsistency described can be obvious from following list
"section: add dialog title":

Clusters:          Add an Existing Cluster
Nodes:             Add nodes to this cluster
Services:          Add a service
Resources:         Add a resource
Failover Domains:  Create a Failover Domain
Fence Devices:     Add a Fence Instance

All these dialogs are triggered with identical-looking button with labelled
"Add", however there is inconsistency even with naming the action in the title
of respective dialogs (add vs. create). In addition, "add" dialog for nodes
also says "to this cluster".

Version-Release number of selected component (if applicable):
luci-0.22.2-13.el6.x86_64
(also found in the current upstream)

Additional info:
Depending on when the fix is introduced (apparently, changing strings
in the UI), respective documentation has to be slightly changed.

Comment 2 Jan Pokorný [poki] 2010-10-15 18:35:27 UTC
Updated list of dialog titles in the same form as above:

Clusters:                      Add an Existing Cluster
Nodes:                         Add nodes to this cluster
Services:                      Add a service
Resources:                     Add a resource
Failover Domains:              Create a Failover Domain
Fence Devices:                 Add a Fence Instance
--
Nodes--Add a Fence Method:     Create a Fence Method
Nodes--Add a Fence Instance:   Add a Fence Instance
Service--Add a resource:       Add a resource to this service
Service--Add a child resource: Add a resource to this service

Comment 4 Jan Pokorný [poki] 2010-12-15 17:02:16 UTC
Created attachment 468905 [details]
Proposed patch

Following patch is my proposal open for comments. See also comment in it.

After some reasoning about it, I eventually removed articles and made everything starting with uppercase letter.

If no comment raised, this will be pushed into upstream in a few days (presumably December 20th).

Comment 5 Jan Pokorný [poki] 2010-12-22 14:24:58 UTC
The patch from comment #4 was slightly extended (some button captions
changed to better "fit" the changes in dialog titles) and committed
upstream in http://git.fedorahosted.org/git/?p=luci.git;a=commit;h=88bed6a3c6000dff9eb54d7b7a36ca7924bee732

Copied from the commit message, changes are as follow:


list of changes in "section: add dialog title" format:

---(dialog titles)---

Clusters:                      Add an Existing Cluster
                               -> Add Existing Cluster

Nodes:                         Add nodes to this cluster
                               -> Add Nodes To Cluster

Services:                      Add a service
                               -> Add Service To Cluster

Resources:                     Add a resource
                               -> Add Resource To Cluster

Failover Domains:              Create a Failover Domain
                               -> Add Failover Domain To Cluster

Fence Devices:                 Add a Fence Instance
                               -> Add Fence Device (Instance)
                               (note: this is shared, thus this title)

Nodes--Add a Fence Method:     Create a Fence Method
                               -> Add Fence Method To Node

Nodes--Add a Fence Instance:   Add a Fence Instance
                               -> Add Fence Device (Instance)
                               (note: this is shared, thus this title)

Service--Add a resource:       Add a resource to this service
                               -> Add Resource To Service

Service--Add a child resource: Add a resource to this service
                               -> Add Resource To Service

Clusters:                      Create a Cluster
                               -> Create New Cluster

---(button captions)---

Nodes:                         Add a Fence Method
                               -> Add Fence Method

                               Add a Fence Instance
                               -> Add Fence Instance

Resources:                     Add a child resource
                               -> Add Child Resource

Services:                      Add a resource
                               -> Add Resource

---

notes:
  - "Add a Fence Device" dialog definition not used and hence removed
  - also "Add a User" changed to "Add User" but this is not currently
    exposed anywhere

Comment 20 errata-xmlrpc 2011-12-06 10:06:53 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHBA-2011-1510.html


Note You need to log in before you can comment on or make changes to this bug.